> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user referral earnings stats



## OpenAPI

````yaml get /user/{principal}/referral_earnings_stats
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /user/{principal}/referral_earnings_stats:
    get:
      tags:
        - Users
        - User Referral Earnings
      operationId: UserController_getReferralEarnings
      parameters:
        - name: principal
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      user:
                        type: string
                      earnings:
                        type: number
                      trades:
                        type: number
                      users:
                        type: number
                      volume:
                        type: number

````